<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/SampleApp -&gt; AVSCommon Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.9.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_69fa8d0f4fee2820ffc8601fbf428b42.html">SampleApp</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>SampleApp &rarr; AVSCommon Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in SampleApp</th><th class="dirtab">Includes file in AVSCommon</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_84a78700764e47b4a66040dc2a64606c.html">src</a>&#160;/&#160;<a class="el" href="_c_b_l_auth_delegate_8cpp.html">CBLAuthDelegate.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_0cdc2576cbdff8bbeec8f5cd9892073c.html">Initialization</a>&#160;/&#160;<a class="el" href="_alexa_client_s_d_k_init_8h.html">AlexaClientSDKInit.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_84a78700764e47b4a66040dc2a64606c.html">src</a>&#160;/&#160;<a class="el" href="_c_b_l_auth_delegate_8cpp.html">CBLAuthDelegate.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_device_info_8h.html">DeviceInfo.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_84a78700764e47b4a66040dc2a64606c.html">src</a>&#160;/&#160;<a class="el" href="_c_b_l_auth_delegate_8cpp.html">CBLAuthDelegate.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_http_post_8h.html">HttpPost.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_84a78700764e47b4a66040dc2a64606c.html">src</a>&#160;/&#160;<a class="el" href="_c_b_l_auth_delegate_8cpp.html">CBLAuthDelegate.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_http_response_codes_8h.html">HttpResponseCodes.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_84a78700764e47b4a66040dc2a64606c.html">src</a>&#160;/&#160;<a class="el" href="_c_b_l_auth_delegate_8cpp.html">CBLAuthDelegate.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_9dd8d0f9a49957230a9490745c7e4f43.html">include</a>&#160;/&#160;<a class="el" href="dir_be1d93f3c47bfa6e8af1e657ecd75a30.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="_c_b_l_auth_delegate_8h.html">CBLAuthDelegate.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_auth_delegate_interface_8h.html">AuthDelegateInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_9dd8d0f9a49957230a9490745c7e4f43.html">include</a>&#160;/&#160;<a class="el" href="dir_be1d93f3c47bfa6e8af1e657ecd75a30.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="_c_b_l_auth_delegate_8h.html">CBLAuthDelegate.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_auth_observer_interface_8h.html">AuthObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_9dd8d0f9a49957230a9490745c7e4f43.html">include</a>&#160;/&#160;<a class="el" href="dir_be1d93f3c47bfa6e8af1e657ecd75a30.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="_c_b_l_auth_delegate_8h.html">CBLAuthDelegate.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_afaa3f3d841804ab5aeaebc7aa06ead7.html">Configuration</a>&#160;/&#160;<a class="el" href="_configuration_node_8h.html">ConfigurationNode.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_9dd8d0f9a49957230a9490745c7e4f43.html">include</a>&#160;/&#160;<a class="el" href="dir_be1d93f3c47bfa6e8af1e657ecd75a30.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="_c_b_l_auth_delegate_8h.html">CBLAuthDelegate.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_device_info_8h.html">DeviceInfo.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_9dd8d0f9a49957230a9490745c7e4f43.html">include</a>&#160;/&#160;<a class="el" href="dir_be1d93f3c47bfa6e8af1e657ecd75a30.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="_c_b_l_auth_delegate_8h.html">CBLAuthDelegate.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_http_post_interface_8h.html">HttpPostInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_9dd8d0f9a49957230a9490745c7e4f43.html">include</a>&#160;/&#160;<a class="el" href="dir_be1d93f3c47bfa6e8af1e657ecd75a30.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="_c_b_l_auth_delegate_8h.html">CBLAuthDelegate.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_retry_timer_8h.html">RetryTimer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_84a78700764e47b4a66040dc2a64606c.html">src</a>&#160;/&#160;<a class="el" href="_c_b_l_auth_delegate_configuration_8cpp.html">CBLAuthDelegateConfiguration.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_device_info_8h.html">DeviceInfo.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_84a78700764e47b4a66040dc2a64606c.html">src</a>&#160;/&#160;<a class="el" href="_c_b_l_auth_delegate_configuration_8cpp.html">CBLAuthDelegateConfiguration.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_9dd8d0f9a49957230a9490745c7e4f43.html">include</a>&#160;/&#160;<a class="el" href="dir_be1d93f3c47bfa6e8af1e657ecd75a30.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="_c_b_l_auth_delegate_configuration_8h.html">CBLAuthDelegateConfiguration.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_afaa3f3d841804ab5aeaebc7aa06ead7.html">Configuration</a>&#160;/&#160;<a class="el" href="_configuration_node_8h.html">ConfigurationNode.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_connection_observer_8h.html">ConnectionObserver.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_auth_observer_interface_8h.html">AuthObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_connection_observer_8h.html">ConnectionObserver.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_connection_status_observer_interface_8h.html">ConnectionStatusObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_console_printer_8h.html">ConsolePrinter.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_console_printer_8h.html">ConsolePrinter.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_log_string_formatter_8h.html">LogStringFormatter.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a>&#160;/&#160;<a class="el" href="_gui_renderer_8cpp.html">GuiRenderer.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_0d18bb5cbb27caa99038f34bcb9451a4.html">JSON</a>&#160;/&#160;<a class="el" href="_j_s_o_n_utils_8h.html">JSONUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_gui_renderer_8h.html">GuiRenderer.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_template_runtime_observer_interface_8h.html">TemplateRuntimeObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_interaction_manager_8h.html">InteractionManager.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_dialog_u_x_state_observer_interface_8h.html">DialogUXStateObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_interaction_manager_8h.html">InteractionManager.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_requires_shutdown_8h.html">RequiresShutdown.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_interaction_manager_8h.html">InteractionManager.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_speaker_interface_8h.html">SpeakerInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_keyword_observer_8h.html">KeywordObserver.h</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_audio_input_stream_8h.html">AudioInputStream.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_keyword_observer_8h.html">KeywordObserver.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_key_word_observer_interface_8h.html">KeyWordObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a>&#160;/&#160;<a class="el" href="_port_audio_microphone_wrapper_8cpp.html">PortAudioMicrophoneWrapper.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_afaa3f3d841804ab5aeaebc7aa06ead7.html">Configuration</a>&#160;/&#160;<a class="el" href="_configuration_node_8h.html">ConfigurationNode.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a>&#160;/&#160;<a class="el" href="_port_audio_microphone_wrapper_8cpp.html">PortAudioMicrophoneWrapper.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_port_audio_microphone_wrapper_8h.html">PortAudioMicrophoneWrapper.h</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_audio_input_stream_8h.html">AudioInputStream.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a>&#160;/&#160;<a class="el" href="_sample_application_8cpp.html">SampleApplication.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_0cdc2576cbdff8bbeec8f5cd9892073c.html">Initialization</a>&#160;/&#160;<a class="el" href="_alexa_client_s_d_k_init_8h.html">AlexaClientSDKInit.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a>&#160;/&#160;<a class="el" href="_sample_application_8cpp.html">SampleApplication.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_afaa3f3d841804ab5aeaebc7aa06ead7.html">Configuration</a>&#160;/&#160;<a class="el" href="_configuration_node_8h.html">ConfigurationNode.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a>&#160;/&#160;<a class="el" href="_sample_application_8cpp.html">SampleApplication.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_device_info_8h.html">DeviceInfo.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a>&#160;/&#160;<a class="el" href="_sample_application_8cpp.html">SampleApplication.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_h_t_t_p_content_fetcher_factory_8h.html">HTTPContentFetcherFactory.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a>&#160;/&#160;<a class="el" href="_sample_application_8cpp.html">SampleApplication.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_http_put_8h.html">HttpPut.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a>&#160;/&#160;<a class="el" href="_sample_application_8cpp.html">SampleApplication.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_dbe039fff42e2d877b5ec0e1d41c9acd.html">Network</a>&#160;/&#160;<a class="el" href="_internet_connection_monitor_8h.html">InternetConnectionMonitor.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a>&#160;/&#160;<a class="el" href="_sample_application_8cpp.html">SampleApplication.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a>&#160;/&#160;<a class="el" href="_sample_application_8cpp.html">SampleApplication.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_sink_manager_8h.html">LoggerSinkManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_84a78700764e47b4a66040dc2a64606c.html">src</a>&#160;/&#160;<a class="el" href="_s_q_lite_c_b_l_auth_delegate_storage_8cpp.html">SQLiteCBLAuthDelegateStorage.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_afaa3f3d841804ab5aeaebc7aa06ead7.html">Configuration</a>&#160;/&#160;<a class="el" href="_configuration_node_8h.html">ConfigurationNode.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_84a78700764e47b4a66040dc2a64606c.html">src</a>&#160;/&#160;<a class="el" href="_s_q_lite_c_b_l_auth_delegate_storage_8cpp.html">SQLiteCBLAuthDelegateStorage.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_9a98853513cdd8530cb150a5b3497472.html">File</a>&#160;/&#160;<a class="el" href="_file_utils_8h.html">FileUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_84a78700764e47b4a66040dc2a64606c.html">src</a>&#160;/&#160;<a class="el" href="_s_q_lite_c_b_l_auth_delegate_storage_8cpp.html">SQLiteCBLAuthDelegateStorage.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_cb95416188067ed3b93365313f46b1cf.html">Authorization</a>&#160;/&#160;<a class="el" href="dir_394d140097375e95b03f61a9aaebbe14.html">CBLAuthDelegate</a>&#160;/&#160;<a class="el" href="dir_84a78700764e47b4a66040dc2a64606c.html">src</a>&#160;/&#160;<a class="el" href="_s_q_lite_c_b_l_auth_delegate_storage_8cpp.html">SQLiteCBLAuthDelegateStorage.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_3a483a83431ac924abcf278c839947d0.html">String</a>&#160;/&#160;<a class="el" href="_string_utils_8h.html">StringUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a>&#160;/&#160;<a class="el" href="_u_i_manager_8cpp.html">UIManager.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_dialog_u_x_state_observer_interface_8h.html">DialogUXStateObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a>&#160;/&#160;<a class="el" href="_u_i_manager_8cpp.html">UIManager.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_s_d_k_version_8h.html">SDKVersion.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_u_i_manager_8h.html">UIManager.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_auth_observer_interface_8h.html">AuthObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_u_i_manager_8h.html">UIManager.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_capabilities_observer_interface_8h.html">CapabilitiesObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_u_i_manager_8h.html">UIManager.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_connection_status_observer_interface_8h.html">ConnectionStatusObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_u_i_manager_8h.html">UIManager.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_dialog_u_x_state_observer_interface_8h.html">DialogUXStateObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_u_i_manager_8h.html">UIManager.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_28c38612a2e19c2720cd1287ea8c9ceb.html">Threading</a>&#160;/&#160;<a class="el" href="_executor_8h.html">Executor.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_u_i_manager_8h.html">UIManager.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_notifications_observer_interface_8h.html">NotificationsObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_u_i_manager_8h.html">UIManager.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_single_setting_observer_interface_8h.html">SingleSettingObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_u_i_manager_8h.html">UIManager.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_speaker_interface_8h.html">SpeakerInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a>&#160;/&#160;<a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a>&#160;/&#160;<a class="el" href="_u_i_manager_8h.html">UIManager.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_speaker_manager_observer_interface_8h.html">SpeakerManagerObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a>&#160;/&#160;<a class="el" href="_user_input_manager_8cpp.html">UserInputManager.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a>&#160;/&#160;<a class="el" href="_user_input_manager_8cpp.html">UserInputManager.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_speaker_interface_8h.html">SpeakerInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a>&#160;/&#160;<a class="el" href="_user_input_manager_8cpp.html">UserInputManager.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_3a483a83431ac924abcf278c839947d0.html">String</a>&#160;/&#160;<a class="el" href="_string_utils_8h.html">StringUtils.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.9.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
